Boost logo

Boost-Commit :

From: bdawes_at_[hidden]
Date: 2008-08-14 10:46:57


Author: bemandawes
Date: 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
New Revision: 48139
URL: http://svn.boost.org/trac/boost/changeset/48139

Log:
As used for release 1.36.0
Added:
   trunk/tools/release/build_docs.sh (contents, props changed)
   trunk/tools/release/build_release.sh (contents, props changed)
   trunk/tools/release/load_posix.sh (contents, props changed)
   trunk/tools/release/load_windows.sh (contents, props changed)
Text files modified:
   trunk/tools/release/build_release_packages.sh | 11 ++++-------
   1 files changed, 4 insertions(+), 7 deletions(-)

Added: trunk/tools/release/build_docs.sh
==============================================================================
--- (empty file)
+++ trunk/tools/release/build_docs.sh 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# Build docs
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+if [ $# -lt 1 ]
+then
+ echo "invoke:" $0 "directory-name"
+ echo "example:" $0 "posix"
+ exit 1
+fi
+
+echo building $1 docs...
+pushd $1/doc
+bjam --v2 >../../$1-bjam.log
+ls html
+popd
+

Added: trunk/tools/release/build_release.sh
==============================================================================
--- (empty file)
+++ trunk/tools/release/build_release.sh 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+# Build release packages
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+if [ $# -lt 1 ]
+then
+ echo "invoke:" $0 "release-name"
+ echo "example:" $0 "boost_1_35_0_RC3"
+ exit 1
+fi
+
+./load_posix.sh
+./load_windows.sh
+./build_docs.sh posix
+./build_docs.sh windows
+./build_release_packages.sh $1
+

Modified: trunk/tools/release/build_release_packages.sh
==============================================================================
--- trunk/tools/release/build_release_packages.sh (original)
+++ trunk/tools/release/build_release_packages.sh 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
@@ -1,13 +1,13 @@
-#!/bin/sh
+#!/usr/bin/env bash
 
-# Build branches/release packages
+# Build release packages
 
-# © Copyright 2008 Beman Dawes
+# Copyright 2008 Beman Dawes
 # Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
 
 if [ $# -lt 1 ]
 then
- echo "invoke:" $0 "package-name"
+ echo "invoke:" $0 "release-name"
  echo "example:" $0 "boost_1_35_0_RC3"
  exit 1
 fi
@@ -38,8 +38,5 @@
 echo "cleaning up..."
 mv $1 windows
 
-echo "done automatic processing; you must now upload packages manually"
 exit 0
 
-
-

Added: trunk/tools/release/load_posix.sh
==============================================================================
--- (empty file)
+++ trunk/tools/release/load_posix.sh 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+# Load posix directory from branches/release snapshot, using LF line termination
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+rm -r -f posix 2>/dev/null
+svn export --non-interactive --native-eol LF http://svn.boost.org/svn/boost/branches/release posix
+

Added: trunk/tools/release/load_windows.sh
==============================================================================
--- (empty file)
+++ trunk/tools/release/load_windows.sh 2008-08-14 10:46:56 EDT (Thu, 14 Aug 2008)
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+# Load windows directory from branches/release snapshot, using CR/LF line termination
+
+# Copyright 2008 Beman Dawes
+# Distributed under the Boost Software License, Version 1.0. See http://www.boost.org/LICENSE_1_0.txt
+
+rm -r -f windows 2>/dev/null
+svn export --non-interactive --native-eol CRLF http://svn.boost.org/svn/boost/branches/release windows
+


Boost-Commit list run by bdawes at acm.org, david.abrahams at rcn.com, gregod at cs.rpi.edu, cpdaniel at pacbell.net, john at johnmaddock.co.uk